local VERSION = tonumber(("$Revision: 43936 $"):match("%d+"))

local Parrot = Parrot
local Parrot_Triggers = Parrot:NewModule("Triggers", "AceEvent-2.0", "Parser-3.0")
if Parrot.revision < VERSION then
	Parrot.version = "r" .. VERSION
	Parrot.revision = VERSION
	Parrot.date = ("$Date: 2007-07-16 16:04:05 -0400 (Mon, 16 Jul 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local L = Parrot:L("Parrot_Triggers")

Parrot_Triggers.db = Parrot:AcquireDBNamespace("Triggers")
Parrot:RegisterDefaults("Triggers", 'profile', {})

local Parrot_TriggerConditions
function Parrot_Triggers:OnEnable()
	Parrot_TriggerConditions = Parrot:GetModule("TriggerConditions")
end

function Parrot_Triggers:OnTriggerCondition(name, arg)
--	AceLibrary("AceConsole-2.0"):PrintLiteral("OnTriggerCondition", name, arg)
end